searchNodes=[{"doc":"To use this operator in one of your modules, you need to add the following to it:use CapturePipeThis does the same thing as explicitly writing:import Capturepipe import Kernel, except: [|&gt;: 2]","ref":"CapturePipe.html","title":"CapturePipe","type":"module"},{"doc":"Extended pipe-operator that allows the usage of bare function captures.This is useful to insert the pipe's results into a datastructure such as a tuple.What this macro does, is if it encounters a &amp; capture, it wraps the whole operand in (...).() which is the anonymous-function-call syntax that Elixir's normal pipe accepts, that (argubably) is less easy on the eyes.For instance, 10 |&gt; &amp;{:ok, &amp;1} is turned into 10 |&gt; (&amp;{:ok, &amp;1}).()ExamplesStill works as normal:iex&gt; [1,2,3] |&gt; Enum.map(fn x -&gt; x + 1 end) [2,3,4]Insert the result of an operation into a tupleiex&gt; 42 |&gt; &amp;{:ok, &amp;1} {:ok, 42}It also works multiple times in a row.iex&gt; 20 |&gt; &amp;{:ok, &amp;1} |&gt; &amp;[&amp;1, 2, 3] [{:ok, 20}, 2, 3]Besides the function-capture syntax CapturePipe also enables you to use anonymnous functions directly inside a pipe, performing similar wrapping:iex&gt; 42 |&gt; fn val -&gt; to_string(val) end &quot;42&quot;Even if the pipes are nested deeply and interspersed with 'normal' pipe calls:iex&gt; (10 iex&gt; |&gt; &amp;Kernel.div(20, &amp;1) iex&gt; |&gt; Kernel.-() iex&gt; |&gt; to_string() iex&gt; |&gt; &amp;&quot;The answer is: \#{&amp;1}!&quot; iex&gt; |&gt; String.upcase() iex&gt; |&gt; &amp;{:ok, &amp;1} iex&gt; ) {:ok, &quot;THE ANSWER IS: -2!&quot;}Currently, the implementation raises errors when captures or anonymous functions with a bad arity are used at runtime. This might be improved in the future to raise compile-time errors whenever possible instead.","ref":"CapturePipe.html#%7C%3E/2","title":"CapturePipe.|>/2","type":"macro"}]